Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  VB.Net Macro - Teil einbauen mit Capure Fit

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   VB.Net Macro - Teil einbauen mit Capure Fit (689 mal gelesen)
Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 17. Jun. 2016 11:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen

Ich stehe wider an bei einem Makro an.
Ich möchte ein Teil in eine Zusammenstellung einbauen,
so wie wenn man es mit Drag and Drop reinzieht.
Sprich: das sogleich das CaptureFit Tool aktiv ist.
Reinholen ist kein Problem, das geht mit:
MySE.ActiveDocument.Occurrences.AddByFilename(File)
Aber dann ist es am Ursprung festgetackert =/

Schönen Tag
Andy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Zeitbeißer
Moderator
CAD-Ko­ry­phäe




Sehen Sie sich das Profil von Zeitbeißer an!   Senden Sie eine Private Message an Zeitbeißer  Schreiben Sie einen Gästebucheintrag für Zeitbeißer

Beiträge: 2646
Registriert: 25.06.2014

Die Computerrevolution ist vorbei - sie haben gewonnen.

erstellt am: 17. Jun. 2016 11:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andy313:
[...]
Aber dann ist es am Ursprung festgetackert =/
[...]

Und was möchtest du gerne haben? 

------------------

Nichts ist mächtiger als eine Idee, deren Zeit gekommen ist.
Victor Hugo
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 17. Jun. 2016 11:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zeitbeißer

wie geschrieben möchte ich das nach dem Makro das "CaptureFit" Tool aktiv ist.
Das man nur noch die Flächen auswählen muss wo es Eingebaut werden soll.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Zeitbeißer
Moderator
CAD-Ko­ry­phäe




Sehen Sie sich das Profil von Zeitbeißer an!   Senden Sie eine Private Message an Zeitbeißer  Schreiben Sie einen Gästebucheintrag für Zeitbeißer

Beiträge: 2646
Registriert: 25.06.2014

Die Computerrevolution ist vorbei - sie haben gewonnen.

erstellt am: 17. Jun. 2016 12:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andy313:
Hallo Zeitbeißer

wie geschrieben möchte ich das nach dem Makro das "CaptureFit" Tool aktiv ist.
Das man nur noch die Flächen auswählen muss wo es Eingebaut werden soll.


Ist den zu verbauenden Teilen bereits CaptureFit beigebracht worden??  

Das erste Teil in einer ASM wird doch immer am Ursprung verbaut! -> Ist das auch noch so wenn du durch ausführen deines Makros ein weiteres Teil verbaust?? 

------------------

Nichts ist mächtiger als eine Idee, deren Zeit gekommen ist.
Victor Hugo
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 17. Jun. 2016 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja, das Teil das ich einbauen lasse ist schon "capturegefittet" =)
Und es ist nicht das erste Teil in der Zusammenstellung.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Markus Gras
Moderator
Solid Edge AE


Sehen Sie sich das Profil von Markus Gras an!   Senden Sie eine Private Message an Markus Gras  Schreiben Sie einen Gästebucheintrag für Markus Gras

Beiträge: 4488
Registriert: 20.07.2000

Kritik muß sachlich falsch und persönlich verletzend sein, damit sie wirkt.

erstellt am: 17. Jun. 2016 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Hallo Andy,

wenn Du das Teil per Zwischenablage übergibst und Einfügen (STRG+V) auslöst dann sollte es gehen. Soweit ich das beobachtet habe wird das bei den Standard Parts auch so gemacht. Der Vorteil dabei ist, will man das Teil ein weiteres mal verbauen, dann braucht man nur STRG+V zu drücken.

------------------
Gruß
Markus Gras
Unitec Informationssysteme GmbH

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 17. Jun. 2016 13:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ach so.. interessante Idee.. wär ich nicht drauf gekommen =)
Schon mal 10 Ü's für die Antwort.

Weist du zufälligerweise eine bessere Methode zum Einfügen in SE als Sendkey?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Zeitbeißer
Moderator
CAD-Ko­ry­phäe




Sehen Sie sich das Profil von Zeitbeißer an!   Senden Sie eine Private Message an Zeitbeißer  Schreiben Sie einen Gästebucheintrag für Zeitbeißer

Beiträge: 2646
Registriert: 25.06.2014

Die Computerrevolution ist vorbei - sie haben gewonnen.

erstellt am: 17. Jun. 2016 13:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andy313:
[...]
Weist du zufälligerweise eine bessere Methode zum Einfügen in SE als Sendkey?

SolidEdgeAssembly.Occurrence AddByFilename(String OccurrenceFileName, [Object UseSimplifiedPart])

Summary:
Adds an occurrence to the active assembly.

------------------

Nichts ist mächtiger als eine Idee, deren Zeit gekommen ist.
Victor Hugo
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 17. Jun. 2016 14:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zeitbeißer,
wie in meinem ersten Poste geschrieben kenne ich diesen Befehl schon, aber wie in meinem ersten und zweiten Post geschrieben möchte ich das Teil so einbauen das der CaptureFit Dialog erscheint und der User das Teil an den gewünschten Ort platzieren kann.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Zeitbeißer
Moderator
CAD-Ko­ry­phäe




Sehen Sie sich das Profil von Zeitbeißer an!   Senden Sie eine Private Message an Zeitbeißer  Schreiben Sie einen Gästebucheintrag für Zeitbeißer

Beiträge: 2646
Registriert: 25.06.2014

Die Computerrevolution ist vorbei - sie haben gewonnen.

erstellt am: 17. Jun. 2016 14:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andy313:
[...] das Teil so einbauen das der CaptureFit Dialog erscheint und der User das Teil an den gewünschten Ort platzieren kann.

Hast du schon mal das SESpy-Tool nach diesen Möglichkeiten durchforstet?

Der Tipp von Markus Gras hört sich gut an finde ich...

------------------

Nichts ist mächtiger als eine Idee, deren Zeit gekommen ist.
Victor Hugo
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Markus Gras
Moderator
Solid Edge AE


Sehen Sie sich das Profil von Markus Gras an!   Senden Sie eine Private Message an Markus Gras  Schreiben Sie einen Gästebucheintrag für Markus Gras

Beiträge: 4488
Registriert: 20.07.2000

Kritik muß sachlich falsch und persönlich verletzend sein, damit sie wirkt.

erstellt am: 17. Jun. 2016 14:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Hallo Andy,

so könnte es gehen:

Zitat:
Occurrence.Select(False)
Me.objSEApplication.StartCommand(CType(39002, SolidEdge.Framework.Interop.SolidEdgeCommandConstants))

------------------
Gruß
Markus Gras
Unitec Informationssysteme GmbH

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 17. Jun. 2016 15:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zeitbeiße, Hallo Markus

Danke für den Tipp mit dem Spy for SE.
Dieses Tool ist Gold wert um für SE zu programmieren.
Leider habe ich da nichts brauchbares gefunden.
Ja der Tipp von Markus mit dem Kopieren und Einfügen (per Sendkey) habe ich nun so umgesetzt.
Und funktioniert hervorragend.
Nur versuche ich möglicht wenig mit Sendkey zu arbeiten, weil es nicht sehr sauber ist..
Hier der Code, falls jemand etwas ähnliches machen will:
            Dim f() As String = {File}
            Dim d As New DataObject(DataFormats.FileDrop, f)
            Clipboard.SetDataObject(d, True)
            AppActivate("Solid Edge")
            Threading.Thread.Sleep(500)
            SendKeys.Send("^v")

Der Command "MySE.StartCommand(39002)" ist die Komponentenmontage.
Aber wenn ich das Teil einbaue, selektiere und dann den Command ausführe ist das CaptureFit weg.
Also: Nahe dran =)

Ich danke Euch und wünsche euch schönes Wochenende
Andy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RayBan
Mitglied
CAD/PLM-Consultant


Sehen Sie sich das Profil von RayBan an!   Senden Sie eine Private Message an RayBan  Schreiben Sie einen Gästebucheintrag für RayBan

Beiträge: 629
Registriert: 04.02.2002

SE2020 aktuelles MP
Win 10
EdgePLM COMPACT
EdgePLM Parts

erstellt am: 21. Jun. 2016 08:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andy313 10 Unities + Antwort hilfreich

Hallo,

ich habe ähnliches über das Einfügen aus der Zwischenablage in SE über den C#-Aufruf:
                seApplication.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants) AssemblyCommandConstants.AssemblyEditPaste);

Thread.Sleep(2000);

gelöst... hierbei wird ein Objekt aus der Zwischenablage in die aktive Umgebung von Solid Edge eingefügt.

Vielleicht lässt sich das ja verwenden.

Gruß Markus

------------------
Und er sagte noch: "noch nicht klicken".....

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andy313
Mitglied
Konstruktöör


Sehen Sie sich das Profil von Andy313 an!   Senden Sie eine Private Message an Andy313  Schreiben Sie einen Gästebucheintrag für Andy313

Beiträge: 212
Registriert: 10.02.2005

Solid Edge ST10 mit CIM Database (von Contact)
Windows 10 64bit
Intel Xeon E5-1620 v2 (3.7Ghz)
16 GB RAM / SSD HD

erstellt am: 22. Jun. 2016 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Yesss, das ist es.
Bei VB kann man das mit dem Befehl "MySE.StartCommand(57637)" erreichen 

Danke RayBen
10 Ü's sind unterwegs 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz